ESREVERSE:(1)

NAME
esreverse - reverse an es stream

SYNOPSIS
esreverse [switches] <infile> <outfile>

DESCRIPTION

    TS tools version 1.11, esreverse built Nov 11 2008 17:15:47

    Output a reversed stream derived from the input H.264 (MPEG-4/AVC) or H.262 (MPEG-2) elementary stream.

    If output is to an H.222 Transport Stream, then fixed values for the PMT PID (0x66) and video PID (0x68) are used.

  Files:

<infile>
    is the input elementary stream.

    <outfile> is the output stream, either an equivalent elementary

    stream, or an H.222 Transport Stream (but see -stdout and -host below).

  Switches:

-verbose, -v
    Output additional (debugging) messages

-quiet, -q
    Only output error messages

-stdout
    Write output to <stdout>, instead of a named file Forces -quiet.

-host <host>, -host <host>:<port>
    Writes output (over TCP/IP) to the named <host>, instead of to a named file. If <port> is not specified, it defaults to 88. Implies -tsout.

-max <n>, -m <n>
    Maximum number of frames to read

-freq <n>
    Specify the frequency of frames to try to keep when reversing. Defaults to 8.

-tsout
    Output H.222 Transport Stream

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-server
    Also output as normal forward video as reversal data is being collected. Implies -pes and -tsout.

-x  Temporary extra debugging information

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264 or H.262 data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

    TS tools version 1.11, esreverse built Nov 11 2008 17:15:47

    Output a reversed stream derived from the input H.264 (MPEG-4/AVC) or H.262 (MPEG-2) elementary stream.

    If output is to an H.222 Transport Stream, then fixed values for the PMT PID (0x66) and video PID (0x68) are used.

  Files:

<infile>
    is the input elementary stream.

    <outfile> is the output stream, either an equivalent elementary

    stream, or an H.222 Transport Stream (but see -stdout and -host below).

  Switches:

-verbose, -v
    Output additional (debugging) messages

-quiet, -q
    Only output error messages

-stdout
    Write output to <stdout>, instead of a named file Forces -quiet.

-host <host>, -host <host>:<port>
    Writes output (over TCP/IP) to the named <host>, instead of to a named file. If <port> is not specified, it defaults to 88. Implies -tsout.

-max <n>, -m <n>
    Maximum number of frames to read

-freq <n>
    Specify the frequency of frames to try to keep when reversing. Defaults to 8.

-tsout
    Output H.222 Transport Stream

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-server
    Also output as normal forward video as reversal data is being collected. Implies -pes and -tsout.

-x  Temporary extra debugging information

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264 or H.262 data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

SEE ALSO
The full documentation for esreverse is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.